Bug 149310 - emacs update overwrites site customization file default.el
emacs update overwrites site customization file default.el
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
  Show dependency treegraph
Reported: 2005-02-22 05:30 EST by Pawel Salek
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 21.3-24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-21 20:35:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2005-02-22 05:30:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
recent emacs update overwrites site-specific default init file in:
The emacs documentation explicitely says (Sect: 40.1.2):
" A site may have a default init file, which is the library named `default.el'. Emacs finds the `default.el' file through the standard search path for libraries (see section 15.1 How Programs Do Loading). The Emacs distribution does not come with this file; sites may provide one for local customizations."

recent update fails to conform to this documented behavior and contains the default.el file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install emacs-21.3-21.FC2 or emacs-21.3-21.FC3

Actual Results:  the site customization file is gone.

Expected Results:  the emacs distribution should not overwrite this file.

Additional info:
Comment 1 Jens Petersen 2005-02-24 08:48:06 EST
Thanks for reporting this: fixing in next build initially in fc/devel.
Comment 2 Jens Petersen 2005-02-25 08:32:36 EST
Should be fixed in 21.3-24 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.